import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { TransactionSearchView } from '@colijnit/transactionapi/build/model/transaction-search-view.bo';
import { Icon } from '../../../enum/icon.enum';
import { IconCacheService } from '../../../service/icon-cache.service';
import { TransactionCfgName } from '../../../enum/transaction-cfg-name.enum';
export declare abstract class TransactionSearchTileBaseComponent {
    iconCacheService: IconCacheService;
    changeDetection: ChangeDetectorRef;
    readonly cfgNames: typeof TransactionCfgName;
    readonly icons: typeof Icon;
    set showCheckbox(value: boolean);
    get showCheckbox(): boolean;
    set transaction(value: TransactionSearchView);
    get transaction(): TransactionSearchView;
    transactionClick: EventEmitter<TransactionSearchView>;
    selectedClick: EventEmitter<TransactionSearchView>;
    showClass(): boolean;
    private _transaction;
    private _showCheckbox;
    constructor(iconCacheService: IconCacheService, changeDetection: ChangeDetectorRef);
    onTransactionClick(transaction: TransactionSearchView): void;
    onSelectedClick(transaction: TransactionSearchView): void;
    protected detectChanges(): void;
}
